# Method: accounts.lfpSales.insert

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert#try-it)

Inserts a `LfpSale` for the given merchant.

### HTTP request

`POST https://merchantapi.googleapis.com/lfp/v1/{parent=accounts/*}/lfpSales:insert`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The LFP provider account. Format: `accounts/{lfp_partner}` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales#LfpSale`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales#LfpSale`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).